const state = () => ({
  currentMedType: '',
  overview: {},
  baseinfo: {},
  searchMethod: 'alpha',
  selections: [],
  injuryMode: false,
})
// mutations
const mutations = {
  setCurrentMedType(state, currentMedType) {
    state.currentMedType = currentMedType
  },
  setOverview(state, overview) {
    state.overview = overview
  },
  setBaseinfo(state, baseinfo) {
    state.baseinfo = baseinfo
  },
  setSearchMethod(state, searchMethod) {
    state.searchMethod = searchMethod
  },
  setSelections(state, selections) {
    state.selections = selections
  },
  setInjuryMode(state, injuryMode) {
    state.injuryMode = injuryMode
  },
}

const actions = {}

export default {
  namespaced: true,
  state,
  actions,
  mutations,
}
